-- find fastest belt
fastest_belt = {}
fastest_belt.speed = 0

for belt_name, belt_data in pairs(data.raw["transport-belt"]) do
	if belt_name ~= "basic-hopper-transport-belt" and belt_name ~= "fast-hopper-transport-belt" and belt_name ~= "express-hopper-transport-belt" then
		if belt_data.speed >= fastest_belt.speed then
			fastest_belt = belt_data
		end
	end
end

data:extend({
  {
    type = "item",
    name = "smart-hopper",
    icon = "__Belt-hoppers__/graphics/icon/smart-hopper.png",
    flags = {"goes-to-quickbar"},
    subgroup = "storage",
    order = "a[items]-h[smart-hopper]",
    place_result = "smart-hopper-transport-belt",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "smart-hopper",
	enabled = false,
    ingredients =
    {
      {"smart-chest", 1},
      {"steel-plate", 2},
      {fastest_belt.name, 1}
    },
    result = "smart-hopper"
  },
  {
    type = "smart-container",
    name = "smart-hopper",
    icon = "__Belt-hoppers__/graphics/icon/smart-hopper.png",
    minable = {hardness = 0.2, mining_time = 0.5, result = "smart-hopper"},
    flags = {"placeable-neutral", "player-creation"},
    subgroup = "storage",
    order = "a[items]-h[smart-hopper]",
    max_health = 150,
    corpse = "small-remnants",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -1}, {0.5, 0.25}},
    inventory_size = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	picture = {
		filename ="__Belt-hoppers__/graphics/entity/smart-hopper.png",
		width = 37,
		height = 58,
		shift = { 0.03125, -0.375}
	},		
    circuit_wire_connection_point =
	{
		shadow =
		{
			red = {0.7, -0.8},
			green = {0.7, -0.8}
		},
		wire =
		{
			red = {0.3, -1.3},
			green = {0.3, -1.3}
		}
	},
	circuit_wire_max_distance = 7.5
  },
  {
    type = "transport-belt",
    name = "smart-hopper-transport-belt",
    icon = "__Belt-hoppers__/graphics/icon/smart-hopper.png",
    flags = fastest_belt.flags,
    max_health = fastest_belt.max_health,
    corpse = fastest_belt.corpse,
    resistances = fastest_belt.resistances,
    collision_box = fastest_belt.collision_box,
    selection_box = fastest_belt.selection_box,
    working_sound = fastest_belt.working_sound,
    animation_speed_coefficient = fastest_belt.animation_speed_coefficient,
    animations = fastest_belt.animations,
    belt_horizontal = fastest_belt.belt_horizontal, -- specified in transport-belt-pictures.lua
    belt_vertical = fastest_belt.belt_vertical,
    ending_top = fastest_belt.ending_top,
    ending_bottom = fastest_belt.ending_bottom,
    ending_side = fastest_belt.ending_side,
    starting_top = fastest_belt.starting_top,
    starting_bottom = fastest_belt.starting_bottom,
    starting_side = fastest_belt.starting_side,
    ending_patch = fastest_belt.ending_patch,
    speed = fastest_belt.speed
  }
})


for _, technology in pairs( data.raw.technology ) do
	if technology.effects then
		for _, effect in pairs( technology.effects ) do
			if effect.recipe == fastest_belt.name then
				table.insert(technology.effects, {type = "unlock-recipe", recipe = "smart-hopper"})
				break
			end
		end
	end
end