data:extend({
  {
    type = "container",
    name = "basic-hopper",
    icon = "__Belt-hoppers__/graphics/icon/basic-hopper.png",
    minable = {mining_time = 1, result = "basic-hopper"},
    flags = {"placeable-neutral", "player-creation"},
    subgroup = "storage",
    order = "a[items]-e[basic-hopper]",
    max_health = 50,
    corpse = "small-remnants",
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -1}, {0.5, 0.25}},
    inventory_size = 1,
    open_sound = { filename = "__base__/sound/wooden-chest-open.ogg" },
    close_sound = { filename = "__base__/sound/wooden-chest-close.ogg" },
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    picture ={
		filename = "__Belt-hoppers__/graphics/entity/basic-hopper.png",
		width = 33,
		height = 50,
		shift = {-0.03125, -0.25}
		}
  },
  {
    type = "container",
    name = "fast-hopper",
    icon = "__Belt-hoppers__/graphics/icon/fast-hopper.png",
    minable = {mining_time = 1, result = "fast-hopper"},
    flags = {"placeable-neutral", "player-creation"},
    subgroup = "storage",
    order = "a[items]-f[fast-hopper]",
    max_health = 100,
    corpse = "small-remnants",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -1}, {0.5, 0.25}},
    inventory_size = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    picture ={
		filename = "__Belt-hoppers__/graphics/entity/fast-hopper.png",
		width = 33,
		height = 50,
		shift = {-0.03125, -0.25}
		}
  },
  {
    type = "container",
    name = "express-hopper",
    icon = "__Belt-hoppers__/graphics/icon/express-hopper.png",
    minable = {mining_time = 1, result = "express-hopper"},
    flags = {"placeable-neutral", "player-creation"},
    subgroup = "storage",
    order = "a[items]-g[express-hopper]",
    max_health = 200,
    corpse = "small-remnants",
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -1}, {0.5, 0.25}},
    inventory_size = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
     picture ={
		filename = "__Belt-hoppers__/graphics/entity/express-hopper.png",
		width = 33,
		height = 50,
		shift = {-0.03125, -0.25}
		}
  },
  
  {
    type = "transport-belt",
    name = "basic-hopper-transport-belt",
    icon = "__Belt-hoppers__/graphics/icon/basic-hopper.png",
    flags = {"placeable-neutral", "player-creation"},
    max_health = 50,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/basic-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },
    animation_speed_coefficient = 32,
    animations =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 16,
      direction_count = 12
    },
    belt_horizontal = basic_belt_horizontal,
    belt_vertical = basic_belt_vertical,
    ending_top = basic_belt_ending_top,
    ending_bottom = basic_belt_ending_bottom,
    ending_side = basic_belt_ending_side,
    starting_top = basic_belt_starting_top,
    starting_bottom = basic_belt_starting_bottom,
    starting_side = basic_belt_starting_side,
    ending_patch = ending_patch_prototype,
    speed = 0.03125
  },  
  {
    type = "transport-belt",
    name = "fast-hopper-transport-belt",
    icon = "__Belt-hoppers__/graphics/icon/fast-hopper.png",
    flags = {"placeable-neutral", "player-creation"},
    max_health = 50,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 50
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/basic-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },
    animation_speed_coefficient = 32,
    animations =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 32,
      direction_count = 12
    },
    belt_horizontal = fast_belt_horizontal, -- specified in transport-belt-pictures.lua
    belt_vertical = fast_belt_vertical,
    ending_top = fast_belt_ending_top,
    ending_bottom = fast_belt_ending_bottom,
    ending_side = fast_belt_ending_side,
    starting_top = fast_belt_starting_top,
    starting_bottom = fast_belt_starting_bottom,
    starting_side = fast_belt_starting_side,
    ending_patch = ending_patch_prototype,
    speed = 0.0625
  },
  {
    type = "transport-belt",
    name = "express-hopper-transport-belt",
    icon = "__Belt-hoppers__/graphics/icon/express-hopper.png",
    flags = {"placeable-neutral", "player-creation"},
    max_health = 50,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 50
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/express-transport-belt.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 3
    },
    animation_speed_coefficient = 32,
    animations =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      width = 40,
      height = 40,
      frame_count = 32,
      direction_count = 12
    },
    belt_horizontal = express_belt_horizontal, -- specified in transport-belt-pictures.lua
    belt_vertical = express_belt_vertical,
    ending_top = express_belt_ending_top,
    ending_bottom = express_belt_ending_bottom,
    ending_side = express_belt_ending_side,
    starting_top = express_belt_starting_top,
    starting_bottom = express_belt_starting_bottom,
    starting_side = express_belt_starting_side,
    ending_patch = ending_patch_prototype,
    speed = 0.09375
  }
})